Target version:

Resolution: Fixed Affected version:

Description

Gravatar can't be displayed when copy config/configration.yml.example to config/configration.yml.

Steps to reproduce:

Copy configration.yml.example to make configration.yml

Start redmine

Enable "Use Gravatar user icons" setting

Display issues/show

Gravatar is not displayed and ActionController::RoutingError occurs

ActionController::RoutingError (No route matches [GET] "/avatar/982b6086063a22d85509455d8e31cca2")

Cause:
The default for avatar_server_url is 'https://www.gravatar.com' by configuration.rb#L 25.
However, the value of avatar_server_url is overwritten with nil because configuration.yml.example#L225 is not commented out.

#9112 is related.
Affected version: trunk.

Related issues:
Blocks Redmine - Feature #9112: Libravatar and Gravatar-compatible servers su... Closed 2011-08-24

Associated revisions

Revision 18192 - 2019-05-23 10:28 - Go MAEDA

Gravatar icons are broken if configuration.yml.example file is used as is (#9112, #31428).

Contributed by Mizuki ISHIKAWA.

History

#1 - 2019-05-23 07:44 - Mizuki ISHIKAWA

| think the problem will not occur if you change it as below.

diff --git a/config/configuration.yml.example b/config/configuration.yml.example
index dllbc61469..d04a23%aad4 100644
—-—— a/config/configuration.yml.example
+++ b/config/configuration.yml.example
@@ -222,7 +222,7 QR default:
# avatar_server_url: https://www.gravatar.com # default
# avatar_server_url: https://seccdn.libravatar.org
#
— avatar_server_url:
+ # avatar_server_url:

# specific configuration options for production environment
# that overrides the default ones

#2 - 2019-05-23 07:46 - Go MAEDA

- Blocks Feature #9112: Libravatar and Gravatar-compatible servers support added
http://www.redmine.org/projects/redmine/repository/entry/trunk/lib/redmine/configuration.rb#L25
http://www.redmine.org/projects/redmine/repository/entry/trunk/config/configuration.yml.example#L225
https://www.redmine.org/issues/9112

#3 - 2019-05-23 10:29 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the fix. Thank you for detecting and reporting this issue.
